Bug 490169 (CVE-2009-1095, CVE-2009-1096) - CVE-2009-1095 CVE-2009-1096 OpenJDK Pack200 Buffer overflow vulnerability (6792554)
Summary: CVE-2009-1095 CVE-2009-1096 OpenJDK Pack200 Buffer overflow vulnerability (67...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-1095, CVE-2009-1096
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,source=sun,public=200...
Depends On: 490182 490183 492325 492326 492328 492329 500582 500583 506910 506911 540443
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-03-13 16:42 UTC by Marc Schoenefeld
Modified: 2019-06-08 12:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-12 13:48:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0377 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2009-04-07 18:36:36 UTC
Red Hat Product Errata RHSA-2009:0392 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2009-03-26 16:03:31 UTC
Red Hat Product Errata RHSA-2009:0394 normal SHIPPED_LIVE Critical: java-1.5.0-sun security update 2009-03-26 16:06:57 UTC
Red Hat Product Errata RHSA-2009:1038 normal SHIPPED_LIVE Critical: java-1.5.0-ibm security update 2009-05-18 20:28:11 UTC
Red Hat Product Errata RHSA-2009:1198 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2009-08-06 21:29:56 UTC
Red Hat Product Errata RHSA-2009:1662 normal SHIPPED_LIVE Low: Red Hat Network Satellite Server Sun Java Runtime security update 2009-12-11 13:42:50 UTC
Red Hat Product Errata RHSA-2010:0043 normal SHIPPED_LIVE Low: Red Hat Network Satellite Server IBM Java Runtime security update 2010-01-14 16:32:02 UTC

Comment 3 Marc Schoenefeld 2009-03-26 10:42:14 UTC
Integer overflow in unpack200 in Java SE Development Kit (JDK) and
Java Runtime Environment (JRE) 5.0 Update 17 and earlier, and 6 Update
12 and earlier, allows remote attackers to access files or execute
arbitrary code via a JAR file with crafted Pack200 headers.

Comment 4 Marc Schoenefeld 2009-03-26 10:44:41 UTC
Buffer overflow in unpack200 in Java SE Development Kit (JDK) and Java
Runtime Environment (JRE) 5.0 Update 17 and earlier, and 6 Update 12
and earlier, allows remote attackers to access files or execute
arbitrary code via a JAR file with crafted Pack200 headers. (CVE-2009-1096)

Comment 7 errata-xmlrpc 2009-03-26 16:03:39 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:0392 https://rhn.redhat.com/errata/RHSA-2009-0392.html

Comment 8 errata-xmlrpc 2009-03-26 16:06:55 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:0394 https://rhn.redhat.com/errata/RHSA-2009-0394.html

Comment 9 errata-xmlrpc 2009-04-07 18:36:49 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:0377 https://rhn.redhat.com/errata/RHSA-2009-0377.html

Comment 12 errata-xmlrpc 2009-05-18 20:28:42 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1038 https://rhn.redhat.com/errata/RHSA-2009-1038.html

Comment 15 errata-xmlrpc 2009-08-06 21:30:56 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1198 https://rhn.redhat.com/errata/RHSA-2009-1198.html

Comment 18 errata-xmlrpc 2009-12-11 13:43:20 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.1

Via RHSA-2009:1662 https://rhn.redhat.com/errata/RHSA-2009-1662.html

Comment 19 errata-xmlrpc 2010-01-14 16:32:36 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.3

Via RHSA-2010:0043 https://rhn.redhat.com/errata/RHSA-2010-0043.html


Note You need to log in before you can comment on or make changes to this bug.